@echo off
set cmd=RISA3D

rem Batch file to load EGAD into memory and run an application.
rem
rem Place the name of your application above ("RISA3D" is the
rem default).  You can put any switches or parameters there too.
rem
rem This batch file will not attempt to load EGAD into memory (with the
rem consequent unload after the app completes) if EGAD is already in
rem memory when the batch file begins.
rem
rem This avoids memory conflicts with multiple DOS shells
rem (esp. under Windows).

rem Ask EGAD whether it's in memory
egad /$0

rem If already in memory, don't try to re-load or unload.
if errorlevel 1 goto egad_in_mem

rem Load EGAD into memory
egad /t

egad /$0
if not errorlevel 1 goto no_egad

rem Run RISA (change to RISA2D if desired)
risa3d

rem Unload EGAD and exit
egad /u
goto exit

:no_egad
echo.
echo Cannot find EGAD.EXE in the current directory or the PATH.
echo EGAD will not be able to print your screens.
echo If you believe you have installed EGAD properly, please call
echo LS Software at 602/380-9175 for assistance.
echo.
echo If you wish to run %cmd% anyway, press ENTER now;
echo to exit without running RISA, press Ctrl+C now.
pause

:egad_in_mem
%cmd%

:exit

